<div class="row justify-content-around " style="padding-top: 2vw; max-width: 90vw;">
  <div class="col-5 text-left" style="padding-left: 10vw;">
    <button #anchorFilter (click)="onToggleFilter()" class="btn btn-primary">Filter</button>
  </div>

  <div class="col-3 text-center" *ngIf="this.userId != 0">
    <button (click)="saveChanges()" class="btn btn-primary">Save changes</button>
  </div>

  <div class="col-3 text-center" style="padding-right: 0%;">
    <button #anchorGame (click)="onToggleGame()" class="btn btn-primary">Change game</button>
  </div>

  <kendo-popup [anchor]="anchorFilter" (anchorViewportLeave)="show = false" *ngIf="showFilter">
    <app-filter [cardList]="this.cardList"(filterEvent)="filterCards($event)" style="width: 50vw;"></app-filter>
  </kendo-popup>
  <kendo-popup [anchor]="anchorGame" (anchorViewportLeave)="show = false" *ngIf="showGame">
    <app-change-game (gameEvent)="changeGame($event)" style="width: 20vw;"></app-change-game>
  </kendo-popup>
</div>

<div class="container" *ngIf="dataLoaded">
  <div class="row justify-content-start align-items-center">
    <div class="col col-lg-3 col-md-4 col-sm-6 col-12" *ngFor="let item of shownCards">
      <app-card *ngIf="item" (updateEvent)="updateCard($event)" [card]="item" [showDetail]="toggledCard.cardId == item.cardId" (detailEvent)="toggleDetail($event)"></app-card>
    </div>
  </div>
</div>
